// gridDlg.h : header file
//
//{{AFX_INCLUDES()
#include "datagrid.h"
//}}AFX_INCLUDES

#if !defined(AFX_GRIDDLG_H__18057927_D4CB_11D4_99D8_00D0B70772B9__INCLUDED_)
#define AFX_GRIDDLG_H__18057927_D4CB_11D4_99D8_00D0B70772B9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SimpleDataObject.h"

#import "D:\Program Files\Common Files\System\ado\msado15.dll" rename( "EOF", "adoEOF" ) 

/////////////////////////////////////////////////////////////////////////////
// CGridDlg dialog

class CGridDlg : public CDialog
{
// Construction
public:
	CGridDlg(CWnd* pParent = NULL);	// standard constructor
   ~CGridDlg();

// Dialog Data
	//{{AFX_DATA(CGridDlg)
	enum { IDD = IDD_GRID_DIALOG };
	CDataGrid	m_dataGrid;
	UINT	m_colWidth;
	UINT	m_numCols;
	UINT	m_numRows;
	int		m_cursorLocation;
	int		m_lockType;
	int		m_cursorType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGridDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGridDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnMakeTable();
	afx_msg void OnAddRow();
	afx_msg void OnQiRecordset();
	afx_msg void OnRemoveRow();
	afx_msg void OnGetRecordset();
	afx_msg void OnDataGrid();
	afx_msg void OnTest();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private :

   CursorLocationEnum GetCursorLocation();
   LockTypeEnum GetLockType();
   CursorTypeEnum GetCursorType();

   IMyDataObject *m_pDataObject;

   ADODB::_Recordset *m_pRs;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRIDDLG_H__18057927_D4CB_11D4_99D8_00D0B70772B9__INCLUDED_)
